## harlequin-mysql 1.2.0

=== Makefile ===
.PHONY: check
check:
	ruff format .
	ruff check . --fix
	mypy
	pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	harlequin -P None -a mysql -h localhost -U root --password example --database dev

## harlequin-mysql 1.1.0

=== debian/changelog ===
harlequin-mysql (1.1.0-2) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:15:30 +0100

harlequin-mysql (1.1.0-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 20:14:55 +0100

=== debian/control ===
Source: harlequin-mysql
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://harlequin.sh
Vcs-Browser: https://forgejo.debian.net/python/harlequin-mysql
Vcs-Git: https://forgejo.debian.net/python/harlequin-mysql

Package: harlequin-mysql
Section: admin
Architecture: all
Depends:
 python3-textual-fastdatatable,
 ${misc:Depends},
 ${python3:Depends},
Description: database client for the terminal (MySQL/MariaDB adapter)
 Harlequin is a SQL IDE in your terminal. It supports connecting to for DuckDB,
 SQLite, Postgres (also supports Redshift), MySQL/MariaDB, and ODBC
 (supports MS SQL Server, Oracle, and others).
 .
 This package contains the MySQL/MariaDB adapter.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/harlequin-mysql-$1\.tar\.gz/ \
https://github.com/tconbeer/harlequin-mysql/tags .*/v?(\d\S+)\.tar\.gz

## harlequin-mysql 1.2.0

=== debian/changelog ===
harlequin-mysql (1.2.0-1) sid; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 1.2.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 24 Aug 2025 16:42:00 +0200

harlequin-mysql (1.1.0-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:48:45 +0200

harlequin-mysql (1.1.0-3) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 18:14:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  python3-all,
  python3-poetry,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://harlequin.sh
-Vcs-Browser: https://forgejo.debian.net/python/harlequin-mysql
-Vcs-Git: https://forgejo.debian.net/python/harlequin-mysql
+Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-mysql
+Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-mysql
 
 Package: harlequin-mysql
 Section: admin

=== debian/watch ===
version=4
https://github.com/tconbeer/harlequin-mysql/tags .*/v?(\d.*)@ARCHIVE_EXT@

## harlequin-mysql 1.3.0

=== Makefile ===
.PHONY: check
check:
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy
	uv run pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	uv run harlequin -P None -a mysql -h localhost -U root --password example --database dev

=== debian/changelog ===
harlequin-mysql (1.3.0-1) sid; urgency=medium

  * Updating homepage field.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 1.3.0.
  * Updating watch file to version 5.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:38:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-poetry,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://harlequin.sh
+Homepage: https://github.com/tconbeer/harlequin-mysql
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-mysql
 Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-mysql

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=harlequin-mysql

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled
